Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1178)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1179)
@@ -131,4 +131,8 @@
 
 #====================================================
+#- OUTCOMMAND_PATH : tmp place to store command lines standard error and outputs
+OUTCOMMAND_PATH=/tmp
+
+#====================================================
 #- HOST_MPIRUN_COMMAND
 typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="time mpirun"}
@@ -615,13 +619,13 @@
   typeset options status
   options="-o ${SUBMIT_DIR}/${Script_Output}"
-  /usr/local/bin/qsub ${options} $1 > /tmp/out_command_${LOGIN}.$$ 2>&1
+  /usr/local/bin/qsub ${options} $1 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
-  cat /tmp/out_command_${LOGIN}.$$
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_Qsub $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_Qsub"
   else
-    JobID=$( gawk {'print $1'} /tmp/out_command_${LOGIN}.$$ )
+    JobID=$( gawk {'print $1'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )
   fi
   IGCM_debug_PopStack "IGCM_sys_Qsub"
@@ -640,13 +644,13 @@
   typeset options status
   options="-o ${POST_DIR}/${Script_Post_Output}.out -v ${listVarEnv}"
-  /usr/local/bin/qsub ${options} ${libIGCM_POST}/$1.job > /tmp/out_command_${LOGIN}.$$ 2>&1
+  /usr/local/bin/qsub ${options} ${libIGCM_POST}/$1.job > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
-  cat /tmp/out_command_${LOGIN}.$$
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_QsubPost ${options} ${libIGCM_POST}/$1.job : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_QsubPost"
   else
-    JobID=$( gawk {'print $1'} /tmp/out_command_${LOGIN}.$$ )
+    JobID=$( gawk {'print $1'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )
   fi
   IGCM_debug_PopStack "IGCM_sys_QsubPost"
@@ -783,11 +787,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command_${LOGIN}.$$ 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command_${LOGIN}.$$ 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat /tmp/out_command_${LOGIN}.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -807,14 +811,14 @@
   typeset status
 
-  echo cp $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
-  \cp $@ >> /tmp/out_command_${LOGIN}.$$ 2>&1
+  echo cp $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \cp $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat /tmp/out_command_${LOGIN}.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm /tmp/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -834,14 +838,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
-  \rm $@ >> /tmp/out_command_${LOGIN}.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat /tmp/out_command_${LOGIN}.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm /tmp/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -878,14 +882,14 @@
     typeset status
 
-    echo mv $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
-    \mv $@ >> /tmp/out_command_${LOGIN}.$$ 2>&1
+    echo mv $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    \mv $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -916,13 +920,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > /tmp/out_command_${LOGIN}.$$ 2>&1
+    \cp -r $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -944,13 +948,13 @@
 
     #USUAL WAY
-    \cp -ur $1 $2 > /tmp/out_command_${LOGIN}.$$ 2>&1
+    \cp -ur $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -983,5 +987,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > /tmp/out_command_${LOGIN}.$$ 2>&1
+      \cp -urL $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -997,8 +1001,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1032,19 +1036,19 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command_${LOGIN}.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command_${LOGIN}.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command_${LOGIN}.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command_${LOGIN}.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command_${LOGIN}.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
@@ -1054,5 +1058,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
@@ -1063,5 +1067,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1089,5 +1093,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command_${LOGIN}.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
@@ -1096,5 +1100,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
@@ -1105,5 +1109,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1151,18 +1155,18 @@
     #
 
-    echo ${RSYNC} ${RSYNC_opt} $1 $2 > /tmp/out_command_${LOGIN}.$$ 2>&1
-    ${RSYNC} ${RSYNC_opt} $1 $2 >> /tmp/out_command_${LOGIN}.$$ 2>&1
+    echo ${RSYNC} ${RSYNC_opt} $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    ${RSYNC} ${RSYNC_opt} $1 $2 >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     IGCM_sys_Rsync_out $status
 
-    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command_${LOGIN}.$$
+    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : rsync failed error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1223,9 +1227,9 @@
         if [ $( stat -c %d $1 ) -ne $( stat -c %d $( dirname $2 ) ) ] ; then
           # USUAL WAY
-          \cp $1 $2 > /tmp/out_command.$$ 2>&1
+          \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         else
           # NOT SO USUAL WAY
-          \mv $1 $2 > /tmp/out_command.$$ 2>&1
+          \mv $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         fi
@@ -1247,5 +1251,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1258,5 +1262,5 @@
       fi
 
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1296,13 +1300,13 @@
 
     #USUAL WAY
-    \cp ${dm_liste[*]} ${DEST} > /tmp/out_command_${LOGIN}.$$ 2>&1
+    \cp ${dm_liste[*]} ${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : cp failed error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1344,5 +1348,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command_${LOGIN}.$$ 2>&1
+          \cp ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1357,9 +1361,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat /tmp/out_command_${LOGIN}.$$
-          \rm /tmp/out_command_${LOGIN}.$$
+          cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm /tmp/out_command_${LOGIN}.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         fi
       done
@@ -1367,5 +1371,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> /tmp/out_command_${LOGIN}.$$ 2>&1
+        \cp ${buf_liste} ${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1380,9 +1384,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat /tmp/out_command_${LOGIN}.$$
-        \rm /tmp/out_command_${LOGIN}.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm /tmp/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
@@ -1533,10 +1537,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /home/users/igcmg/rebuild/bin/rebuild -f -o $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    /home/users/igcmg/rebuild/bin/rebuild -f -o $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1544,5 +1548,5 @@
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2080,14 +2084,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 -C "$@" > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncap2 -C "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2122,14 +2126,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncatted "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2164,14 +2168,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncbo -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2206,14 +2210,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncdiff -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2248,14 +2252,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncea -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2290,14 +2294,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncecat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2332,14 +2336,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncflint -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2374,14 +2378,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncks -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2416,14 +2420,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncpdq -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2458,14 +2462,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncra -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2500,24 +2504,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncrcat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command_${LOGIN}.$$ )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2552,14 +2556,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncrename $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2594,14 +2598,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncwa -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat /tmp/out_command_${LOGIN}.$$
-      \rm /tmp/out_command_${LOGIN}.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2633,10 +2637,10 @@
   typeset status
 
-  \cdo $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+  \cdo $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat /tmp/out_command_${LOGIN}.$$
-    \rm /tmp/out_command_${LOGIN}.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
